How do I update my iPhone 5 from 10.3.4 to 14.5 If it says my iPhone is up to date

Up_And_Away

Well-known member
Aug 27, 2021
1,215
49
48
Visit site
As others have aptly said, your iPhone model/age puts it beyond new OS support. And I believe your model is also outside the window of receiving security patches (though I’m not 100% certain). IPhones beyond OS support but still receive security updates can continue to be used. Whether apps/features continue to work will be on a case by case basis though compatibility will get worse as months go on. However, if your iPhone is also beyond seeing security patch versions, I urge you to get a new iPhone. Once security vulnerabilities are no longer patched, it is imho too much of a security risk to be connecting the iphone to the internet.
 

Wotchered

Well-known member
Oct 29, 2013
3,209
91
48
Visit site
Your iPhone 5 is technically obsolete, although It will still do some things, it won’t update iOS any more. Keep the phone with some charge on board, In an emergency it’ll do as a comms device.
 

scruffypig

Well-known member
Feb 16, 2014
2,113
19
38
Visit site
If there is an older version of the app on the App Store that will work on your older iPhone. I believe the App Store will give you a pop up that lets you download the older version of the app. The older app needs to be made available by the app developer, though.